{% extends "base.html.j2" %}
{% block title %}Snapshot Query{% endblock %}
{% block main %}
    <h1 class="govuk-heading-xl">Snapshot Query</h1>
    <form action="/sqr1" method="get">
        <input type="hidden" name="step" value="url-form">
        <div class="govuk-form-group {% if validation_error %}govuk-form-group--error{% endif %}">
            <fieldset class="govuk-fieldset">
                <legend class="govuk-fieldset__legend govuk-fieldset__legend--l">
                    <h1 class="govuk-fieldset__heading">
                        Do you know the source article's URL?
                    </h1>
                </legend>
                {% if validation_error %}
                <p id="url-known-error" class="govuk-error-message">
                    <span class="govuk-visually-hidden">Error:</span> You must select an option
                </p>
                {% endif %}
                <div id="source-url-hint" class="govuk-hint">
                    This is the URL of the article on the original publisher's website. It is not a snapshot URL (e.g.
                    containing <code>storage.googleapis.com</code>). If you only have the snapshot URL, select
                    <strong>No</strong>.
                </div>
                <div class="govuk-radios" data-module="govuk-radios">
                    <div class="govuk-radios__item">
                        <input class="govuk-radios__input" id="sourceArticleURLKnown" name="sourceArticleURLKnown"
                               type="radio"
                               value="yes">
                        <label class="govuk-label govuk-radios__label" for="sourceArticleURLKnown">
                            Yes
                        </label>
                    </div>
                    <div class="govuk-radios__item">
                        <input class="govuk-radios__input" id="sourceArticleURLKnown-2" name="sourceArticleURLKnown"
                               type="radio"
                               value="no">
                        <label class="govuk-label govuk-radios__label" for="sourceArticleURLKnown-2">
                            No, but I know the URL of a published snapshot
                        </label>
                    </div>
                </div>
            </fieldset>
        </div>
        <button type="submit" class="govuk-button" data-module="govuk-button">
            Continue
        </button>
    </form>
{% endblock %}